cURL
curl -X POST https://acme.orgo.space/api/v1/newsletters \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "January 2026 — Boston Update",
"subject": "What'\''s happening at Civic Collective in January",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"unit": "/api/v1/units/4",
"content": "<h1>January Update</h1><p>Hello {{firstName}}...</p>"
}'
await fetch("https://acme.orgo.space/api/v1/newsletters", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "January 2026 — Boston Update",
subject: "What's happening at Civic Collective in January",
fromName: "Civic Collective — Boston",
fromEmail: "boston@example.com",
unit: "/api/v1/units/4",
content: "<h1>January Update</h1><p>Hello {{firstName}}...</p>",
}),
});
$client->post('/api/v1/newsletters', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'January 2026 — Boston Update',
'subject' => "What's happening at Civic Collective in January",
'fromName' => 'Civic Collective — Boston',
'fromEmail' => 'boston@example.com',
'unit' => '/api/v1/units/4',
'content' => '<h1>January Update</h1><p>Hello {{firstName}}...</p>',
],
]);
import requests
url = "https://app.orgo.space/api/v1/newsletters"
payload = {
"name": "January 2026 — Boston Update",
"subject": "What's happening at Civic Collective in January",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"replyToEmail": "boston@example.com",
"unit": "/api/v1/units/4",
"content": "<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/newsletters"
payload := strings.NewReader("{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/newsletters")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/newsletters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 44,
"uuid": "01938d8e-c2f4-7c2a-b8e1-3f7a9b8c4f44",
"name": "January 2026 — Boston Update",
"subject": "What's happening at Civic Collective in January",
"status": "DRAFT",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"unit": {
"id": 4,
"name": "Boston"
},
"estimatedRecipientCount": 312,
"dateCreated": "2026-01-15T10:30:00+00:00"
}Newsletter
Creates a Newsletter resource.
Creates a Newsletter resource.
POST
/
api
/
v1
/
newsletters
cURL
curl -X POST https://acme.orgo.space/api/v1/newsletters \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "January 2026 — Boston Update",
"subject": "What'\''s happening at Civic Collective in January",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"unit": "/api/v1/units/4",
"content": "<h1>January Update</h1><p>Hello {{firstName}}...</p>"
}'
await fetch("https://acme.orgo.space/api/v1/newsletters", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "January 2026 — Boston Update",
subject: "What's happening at Civic Collective in January",
fromName: "Civic Collective — Boston",
fromEmail: "boston@example.com",
unit: "/api/v1/units/4",
content: "<h1>January Update</h1><p>Hello {{firstName}}...</p>",
}),
});
$client->post('/api/v1/newsletters', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => 'January 2026 — Boston Update',
'subject' => "What's happening at Civic Collective in January",
'fromName' => 'Civic Collective — Boston',
'fromEmail' => 'boston@example.com',
'unit' => '/api/v1/units/4',
'content' => '<h1>January Update</h1><p>Hello {{firstName}}...</p>',
],
]);
import requests
url = "https://app.orgo.space/api/v1/newsletters"
payload = {
"name": "January 2026 — Boston Update",
"subject": "What's happening at Civic Collective in January",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"replyToEmail": "boston@example.com",
"unit": "/api/v1/units/4",
"content": "<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/newsletters"
payload := strings.NewReader("{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/newsletters")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/newsletters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"January 2026 — Boston Update\",\n \"subject\": \"What's happening at Civic Collective in January\",\n \"fromName\": \"Civic Collective — Boston\",\n \"fromEmail\": \"boston@example.com\",\n \"replyToEmail\": \"boston@example.com\",\n \"unit\": \"/api/v1/units/4\",\n \"content\": \"<h1>January Update</h1><p>Hello {{firstName}}, here's what's coming up...</p>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 44,
"uuid": "01938d8e-c2f4-7c2a-b8e1-3f7a9b8c4f44",
"name": "January 2026 — Boston Update",
"subject": "What's happening at Civic Collective in January",
"status": "DRAFT",
"fromName": "Civic Collective — Boston",
"fromEmail": "boston@example.com",
"unit": {
"id": 4,
"name": "Boston"
},
"estimatedRecipientCount": 312,
"dateCreated": "2026-01-15T10:30:00+00:00"
}Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Body
application/json
The new Newsletter resource
Example:
"/api/v1/users/1"
Example:
"/api/v1/units/1"
Example:
"/api/v1/local_centers/1"
Example:
"/api/v1/events/1"
Example:
"/api/v1/user_lists/1"
Response
Newsletter resource created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"/api/v1/tenants/1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

